using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FMSAdmin.Entities {
    public partial class FmsManual {
        public FmsManual() {
            FmsManualHistory = new HashSet<FmsManualHistory>();
        }

        [Display(Name = "고유번호"), Key]
        public int SiteId { get; set; }
        public int ManualId { get; set; }
        [Display(Name = "매뉴얼번호"), Required]
        [StringLength(20)]
        public string ManualNo { get; set; }
        [Display(Name = "메뉴얼분류")]
        public int ManualGroupId { get; set; }
        [Display(Name = "메뉴얼타입")]
        public int ManualTypeId { get; set; }
        [Display(Name = "메뉴얼명"), Required]
        [StringLength(200)]
        public string Name { get; set; }
        [Display(Name = "메뉴얼설명")]
        [StringLength(2000)]
        public string Description { get; set; }

        [Display(Name = "메뉴얼파일")]
        [NotMapped]
        public CmFile CmFile { get; set; }
        [NotMapped]
        public String CreateUserId { get; set; }

        [ForeignKey("SiteId")]
        public virtual CmSite CmSite { get; set; }

        [ForeignKey("ManualTypeId")]
        public virtual FmsManualType FmsManualType { get; set; }

        [ForeignKey("ManualGroupId")]
        public virtual FmsManualGroup FmsManualGroup { get; set; }

        [InverseProperty("FmsManual")]
        public virtual ICollection<FmsManualHistory> FmsManualHistory { get; set; }
    }
}
